Get Redeemable List

​

Pulls a list of offers available and defined on Punchh, allowing for browsing/selecting of Punchh offers natively in an external platform. Redeemable search is on a business level, and the request can:

To call this API, the option to distribute offers from an external system must be enabled for the business on the Punchh platform. Contact your Punchh representative to update this Punchh platform configuration.

Headers

  • The media type of the request body. Must be application/json.

  • The media type the client expects in the response. Must be application/json.

  • Bearer token for admin authorization. Send the API key in the following format: "Authorization: Bearer BUSINESS_ADMIN_KEY_GOES_HERE".

Body

application/json
  • Number of pages

  • Number of records per page

  • Define the search string on the redeemable name and description column

Responses

  • application/json
  • application/json
  • application/json
Request Example for get/api2/dashboard/redeemables
curl https://SERVER_NAME_GOES_HERE.punchh.com/api2/dashboard/redeemables \
  --header 'Content-Type: application/json' \
  --header 'Accept: application/json' \
  --header 'Authorization: ' \
  --data '{
  "query": "free",
  "page": "1",
  "per_page": 20
}'
[
  {
    "redeemable_id": 20473,
    "redeemable_uuid": "test",
    "name": "future",
    "description": "free",
    "redeemable_image_url": "IMAGE_URL_GOES_HERE"
  },
  {
    "redeemable_id": 20408,
    "redeemable_uuid": "test",
    "name": "New - Free Coffee For 2 !!!",
    "description": "",
    "redeemable_image_url": "IMAGE_URL_GOES_HERE"
  }
]